/*
 * Copyright 2008 Gerd Ziegler (www.gerdziegler.de) Licensed under the Apache
 * License, Version 2.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law
 * or agreed to in writing, software distributed under the License is
 * distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License. @author
 * www.gerdziegler.de
 */
package org.ztest.output.graphml.style;

public class ZFillStyle {
    private String color = "#dddddd";

    private String color2 = color;

    private boolean transparent = false;

    public String getColor() {
        return color;
    }

    public void setColors(int r, int g, int b) {
        setColors(ZStyleUtil.computeColor(r, g, b));
    }

    public void setColors(String color) {
        this.color = color;
        this.color2 = color;
    }

    public void setColor(int r, int g, int b) {
        setColor(ZStyleUtil.computeColor(r, g, b));
    }

    public void setColor(String color1) {
        this.color = color1;
    }

    public String getColor2() {
        return color2;
    }

    public void setColor2(int r, int g, int b) {
        setColor2(ZStyleUtil.computeColor(r, g, b));
    }

    public void setColor2(String color2) {
        this.color2 = color2;
    }

    public boolean isTransparent() {
        return transparent;
    }

    public void setTransparent(boolean transparent) {
        this.transparent = transparent;
    }
}
