/*
 * Copyright 2008 Gerd Ziegler (www.gerdziegler.de) Licensed under the Apache
 * License, Version 2.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law
 * or agreed to in writing, software distributed under the License is
 * distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License. @author
 * www.gerdziegler.de
 */
package org.ztest.classinfo;

import java.util.List;

import org.ztest.jdom.ZWriteXML;

public interface ZIClassMeta extends ZWriteXML, java.io.Serializable {

    public String getName();

    public boolean isScanned();

    public int getModifiers();

    public void setModifiers(int modifiers);

    public List<ZILocation> getLocations();

    public List<String> getAnnotations();

    public List<ZIField> getFields();

    public List<ZIMethod> getMethods();
}
