package org.ztest.output.classinfo;

import org.ztest.output.graphml.ZIGraphMLDecorator;
import org.ztest.output.graphml.ZIGraphMLEdge;
import org.ztest.output.graphml.ZIGraphMLGroupNode;
import org.ztest.output.graphml.ZIGraphMLNode;
import org.ztest.output.graphml.style.ZEdgeStyle;
import org.ztest.output.graphml.style.ZGroupNodeStyle;
import org.ztest.output.graphml.style.ZNodeStyle;

public class ZPackageInfoDecorator implements ZIGraphMLDecorator {

    public ZNodeStyle getStyle(ZIGraphMLNode node, ZNodeStyle style)
        throws Exception {
        style.getNodeLabelStyle().setText(node.getId());
        return style;
    }

    public ZGroupNodeStyle getStyle(ZIGraphMLGroupNode group, ZGroupNodeStyle style)
        throws Exception {
        style.getNodeLabelStyle().setText(group.getId());
        return style;
    }

    public ZEdgeStyle getStyle(ZIGraphMLEdge edge, ZEdgeStyle style)
        throws Exception {
        style.setText(edge.getSourceId() + " --> " + edge.getTargetId());
        return style;
    }
}
