/*
 * Copyright 2008 Gerd Ziegler (www.gerdziegler.de) Licensed under the Apache
 * License, Version 2.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law
 * or agreed to in writing, software distributed under the License is
 * distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License. @author
 * www.gerdziegler.de
 */
package org.ztest.output.graphml.style;

public class ZLineStyle {
    public static final String LINE_TYPE_LINE = "line";

    public static final String LINE_TYPE_DASHED = "dashed";

    private String color = "#000000";

    private String type = LINE_TYPE_LINE;

    private double width = 1.0;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public double getWidth() {
        return width;
    }

    public void setWidth(double width) {
        this.width = width;
    }

    public String getColor() {
        return color;
    }

    public void setColor(int r, int g, int b) {
        setColor(ZStyleUtil.computeColor(r, g, b));
    }

    public void setColor(String color) {
        this.color = color;
    }
}
