/*
 * Copyright 2008 Gerd Ziegler (www.gerdziegler.de) Licensed under the Apache
 * License, Version 2.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law
 * or agreed to in writing, software distributed under the License is
 * distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License. @author
 * www.gerdziegler.de
 */
package org.ztest.output.graphml.style;

public class ZNodeStyle {
    private ZNodeLabelStyle nodeLabelStyle = new ZNodeLabelStyle();

    private ZBorderStyle borderStyle = new ZBorderStyle();

    private ZFillStyle fillStyle = new ZFillStyle();

    private ZShapeStyle shapeStyle = new ZShapeStyle();

    public ZBorderStyle getBorderStyle() {
        return borderStyle;
    }

    public void setBorderStyle(ZBorderStyle borderStyle) {
        this.borderStyle = borderStyle;
    }

    public ZFillStyle getFillStyle() {
        return fillStyle;
    }

    public void setFillStyle(ZFillStyle fillStyle) {
        this.fillStyle = fillStyle;
    }

    public ZNodeLabelStyle getNodeLabelStyle() {
        return nodeLabelStyle;
    }

    public void setNodeLabelStyle(ZNodeLabelStyle textStyle) {
        this.nodeLabelStyle = textStyle;
    }

    public ZShapeStyle getShapeStyle() {
        return shapeStyle;
    }

    public void setShapeStyle(ZShapeStyle shapeStyle) {
        this.shapeStyle = shapeStyle;
    }
}
